Skip to content
OpenPostDocs
OpenPostDocs
Accounts

Complete OAuth account selection and save the selected account

POST/accounts/selections/{connection_id}/complete

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

connection_id*string

Pending OAuth account-selection ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/accounts/selections/string/complete" \  -H "Content-Type: application/json" \  -d '{}'
{  "$schema": "https://example.com/api/v1/schemas/AccountSelectionCompletionResponse.json",  "account_avatar_url": "string",  "account_id": "string",  "account_ids": [    "string"  ],  "account_kind": "string",  "account_username": "string",  "capability_checked_at": "2019-08-24T14:15:22Z",  "grant_destination_count": 0,  "id": "string",  "instance_url": "string",  "is_active": true,  "limit_profile": "standard",  "messages_enabled": true,  "messaging_supported": true,  "open_fresh_composer": true,  "platform": "string",  "provider_installation_id": "string",  "shared_grant": true,  "slug": "string",  "thread_replies_supported": true,  "workspace_id": "string"}